Subject: RE: bug#28338: 25.2; Default fonts for Info

From: Drew Adams <[email-masked]>
Date: Sun, 3 Sep 2017 09:36:52 -0700 (PDT)

> > Personally, I'd prefer that the default font families be the same:
> > Courier (New) - as has always been the case before Emacs 25.2.  (Was
> > this change in default behavior even discussed on [email-masked]?)

Clearly I was speaking of the default font families for unquoted
and quoted Info text.

> There was no change, 

Clearly there _was_ a change in the default font family used
for quoted Info text.  That's what this bug report is about.

> Courier New was and remains the default font.

That's not the issue.  No one said otherwise.

> The only change is that Info-quoted is a new face introduced
> relatively recently.  (It took us a few iterations to find
> a good font for that face.)

I meant a change in the font used for quoted text.  Clearly
there was such a change.  That "only change" is what this
bug report is about - the default font for that face.

I suggest another iteration for the "we", whomever that
might have included (I saw no discussion of it.)

I suggest that Courier New should be the default font for
that face (as well as be the general default).  We have had
faces that are defined for customization purposes but whose
default appearance is the same as the default face.

> > (I'd also prefer that a color be used by default to distinguish
> > face `Info-quoted', but I don't expect that suggestion to fly.)
> 
> You can always customize the face to fit your taste, of course.

It's not about my personal use.  I filed the bug for
Emacs users in general.  Though, as I say, I don't
expect that suggestion to fly, it's still my suggestion.

FWIW, I have, in my library info+.el, had a face for
quoted text in Info since at least as long ago as 1996.
(And I suggested that Emacs do similarly several times
since, to no avail.)

In info+.el I have never used a different font for
the default value of that face.  I've (always) used a
different color.  No users have complained about that,
since 1996...